Jump to content

[1.8.x] B9 Aerospace | Release 6.6.0 (Feb 5 2020)


Recommended Posts

4 hours ago, celtic._.crusade said:

Whens This Next Update ? And Is This Version Usable In 1.3 ?

Welcome to the forums!  Read the last couple of pages of this thread and I think you will find the info you're looking for (often the case for update news)

Edited by blowfish
Link to post
Share on other sites
2 hours ago, The_Annihilator_117 said:

when can we expect and update for this amazing mod that I use in a lot of my designs?

When RasterPropMonitor has a final release for KSP 1.3 and not just a prerelease.  Everything else is up to date, and the parts pack itself doesn't really need any changes.  If you know what you're doing you can update the dependencies (list and links on the OP) and run it.

Link to post
Share on other sites
30 minutes ago, blowfish said:

If you know what you're doing you can update the dependencies (list and links on the OP) and run it.

Hey blowfish FYI  I installed all the proper requirements for B9 aerospace HX and legacy. All worked perfectly and all parts were there and functional, but it has some kind of conflict with B9 PWings. Basically is throws them out of shape and makes a pretty BANG on the runway. I already mentioned it on the PWing site and someone said it's something got to do with a conflicting MM. So I just wanted to let you know and anyone else who uses both these mods together. Let me know if you or anyone run into this issue. Other wise this mod works perfectly even with the beta RPM. Cheers :)

Link to post
Share on other sites
19 hours ago, mechanicH said:

Hey blowfish FYI  I installed all the proper requirements for B9 aerospace HX and legacy. All worked perfectly and all parts were there and functional, but it has some kind of conflict with B9 PWings. Basically is throws them out of shape and makes a pretty BANG on the runway. I already mentioned it on the PWing site and someone said it's something got to do with a conflicting MM. So I just wanted to let you know and anyone else who uses both these mods together. Let me know if you or anyone run into this issue. Other wise this mod works perfectly even with the beta RPM. Cheers :)

Well I really don't see how it could be B9 doing this.  I'm somewhat skeptical that MM is causing it but if so then yes, you would see it with B9, because B9 requires MM to work.

Link to post
Share on other sites
28 minutes ago, blowfish said:

MM to work.

Just got a response from the MM dev. He's says it's not the MM at fault. So I'm stumped. Have you tried both mods together yet?  The B9 PWings and the B9 parts packs ?

Link to post
Share on other sites
On 7/8/2017 at 4:48 PM, mechanicH said:

Just got a response from the MM dev. He's says it's not the MM at fault. So I'm stumped. Have you tried both mods together yet?  The B9 PWings and the B9 parts packs ?

Yep, just tried them and everything works perfectly.

Link to post
Share on other sites
8 hours ago, blowfish said:

Yep, just tried them and everything works perfectly.

Thanks Blowfish, guess the problem is on my end, ill dig through it to see what i messed up on.  Oh and thank you for all the hard work on all these wonderful mods.  Cheers :) 

Link to post
Share on other sites

Hey, DL'd the dependencies, got B9 working, however there is one speed bump I hit that I believe a small alteration to OP would help. My confusion stemmed from Firespitter: adding that the plugin and resources folders are both needed might help some.

To help those in trouble, my steps (warning: I'm a CKAN user :D):

On CKAN: Install

Firespitter Core

Firespitter Resources config

B9AnimationModules

B9 Part Switch

Smokescreen

Module Manager

Then go here, and download the zip file off of the Github link, move the JSI folder into your Gamedata folder, move ONLY B9 core folder in as well, run and go. Runs fine with KW Rocketry, DMagic, Interstellar, and so much more...as usual :rep:. Phenomenal mod, one of my mains. Hope this helped!

Edited by Modemus
1st time:Typo 2nd: forgot vital part..
Link to post
Share on other sites
On 7/3/2017 at 9:16 PM, celtic._.crusade said:

Whens This Next Update ? And Is This Version Usable In 1.3 ?

The next update will arrive when it arrives. Please refrain from asking this question about this or any other mod in the future.

The latest version is usable in 1.3, provided all the dependencies are up-to-date.

Link to post
Share on other sites
11 minutes ago, blowfish said:

@Modemus I don't think the Firespitter resources config is actually necessary for B9 - the plugin should suffice.  Maybe you have some other mod that requires it?

Well I took a gander at the whole zip and it is in there, so I figured better safe than sorry, and I'm not too sure about another mod needing it as B9, and its dependencies, are the last ones I installed. However, maybe one of my mods conflict without it? Is that a possibility? I think I might uninstall Resources and see if there's conflicts/ctd's. I'll let you know what I find!

Edited by Modemus
Link to post
Share on other sites
  • 2 weeks later...

Glad to see B9 is still being updated. Though I'd like to point out a few things.

1) I use Ckan almost exclusively now. (It's just easier, less hassle). The problem though is that B9 does not appear on Ckan. Only B9ANimationModules, B9PartSwitch, and B9ProceduralWings or some such appear. The base core of B9 and HX etc. does NOT appear on CKan because it thinks the mod is out of date, therefore you cannot even download it from CKAN.

2) After downloading B9, etc. I copy pasted over all the folders with the most updated Zip. Problem is, you have a mass load of out dated, null, or trash files in your zip. Namely, all the dependency folders in your B9Aerospace zip are out of date.. Why even have them? That is highly confusing for people, downloading the most recently updated zip folder from a modder you assume all the folders in that zip are relevant, that's why the modder put them in there. I'd suggest removing all the useless dependancy folders from the main zip, just have the B9 stuff. That's all you need, and is far less confusing. You already tell them both in the readme, and on the main page what other mods to download to make it work right.

Link to post
Share on other sites
59 minutes ago, LadyAthena said:

I copy pasted over all the folders

Well if your trying to use this in in 1.3  thats your main problem, you should NOT copy all the folders,  IF you read a few pages back you will see that all you need is the main B9 folders i.e.  B9 Aerospace, HX, Legacy and thats it. It has been stated many times that the dependency folders are out of date and should be downloaded separately. And when you say confusing ,,  thats what confuses me.... if you READ, you will see that the mod is not yet compatible to 1.3 on CKAN, nor on GitHub. So i suggest either to wait for the update to CKAN or play 1.2.2. 

Link to post
Share on other sites

The dependencies included in the download were the most recent as of the date of the release.  Even if I posted a new release with updated dependencies, it would not show on CKAN because no final elease of RasterPropMonitor for KSP 1.3 is out - preview releases don't appear on CKAN

Link to post
Share on other sites
2 hours ago, mechanicH said:

Well if your trying to use this in in 1.3  thats your main problem, you should NOT copy all the folders,  IF you read a few pages back you will see that all you need is the main B9 folders i.e.  B9 Aerospace, HX, Legacy and thats it. It has been stated many times that the dependency folders are out of date and should be downloaded separately. And when you say confusing ,,  thats what confuses me.... if you READ, you will see that the mod is not yet compatible to 1.3 on CKAN, nor on GitHub. So i suggest either to wait for the update to CKAN or play 1.2.2. 

Problem is, I did read back, but how far back do you have to read before you figure you have checked enough? Apparently I didn't, and its easy to miss. How is that my fault that the files provided to me by the modder were out of date?

 

1 hour ago, blowfish said:

The dependencies included in the download were the most recent as of the date of the release.  Even if I posted a new release with updated dependencies, it would not show on CKAN because no final elease of RasterPropMonitor for KSP 1.3 is out - preview releases don't appear on CKAN

I understand that, just saying. If you're telling people to download those dependencies anyway, no reason to have them combined with the mod itself. Just taking up space at that point, and becomes confusing when either the game is updated, and someone new downloads it, and or your directions to update, or that the files are out of date get buried in page x 9 pages back from the most recent.

This isn't a bash on you. I'm just saying it would help you remove that confusion for others, in turn you and others dont have to worry about people getting confused, or coming to you for things you've already explained 9 times.

----------

Link to post
Share on other sites

Keeping the dependencies up to date with each release is a fair bit of work, but my impression the last time I checked was that some folks still find them valuable, particularly those that aren't using CKAN.  Not sure if that's still the case or not but I would imagine so.

Link to post
Share on other sites
1 hour ago, mechanicH said:

Hey guys   just in case anyone missed it,  RPM for 1.3 if officially released 

Oh nice!  Unfortunately I'm away from home now but I should hopefully have some time by Sunday night to package up a new release.

Link to post
Share on other sites

Asking for mod updates is not against the rules, guys, unless it is done rudely or repetitively. 

But yes, please read the thread before posting in it so that you are not just repeating discussions already held. 

Link to post
Share on other sites
On ‎21‎.‎07‎.‎2017 at 5:05 AM, blowfish said:

Oh nice!  Unfortunately I'm away from home now but I should hopefully have some time by Sunday night to package up a new release.

 

Good news, very glad to hear it.


I had to abandon KSP for two months due to this mod-breaking update (unexpected, as usual).

 

Link to post
Share on other sites
On 21.07.2017 at 4:05 AM, blowfish said:

Oh nice!  Unfortunately I'm away from home now but I should hopefully have some time by Sunday night to package up a new release.

what timezone do you mean? 


Also, even with all dependencies updated to 1.3 i still cant use core b9 module so i'm waiting eagerly :>

 

Have fun whatever you're doing!

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...